summaryrefslogtreecommitdiffstats
path: root/source/a/smartmontools/smartmontools.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/smartmontools/smartmontools.SlackBuild')
-rwxr-xr-xsource/a/smartmontools/smartmontools.SlackBuild7
1 files changed, 4 insertions, 3 deletions
diff --git a/source/a/smartmontools/smartmontools.SlackBuild b/source/a/smartmontools/smartmontools.SlackBuild
index 72593d71b..17d1c48e9 100755
--- a/source/a/smartmontools/smartmontools.SlackBuild
+++ b/source/a/smartmontools/smartmontools.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=smartmontools
-VERSION=${VERSION:-$(echo smartmontools-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-$(echo smartmontools-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -58,7 +58,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf smartmontools-$VERSION
-tar xvf $CWD/smartmontools-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/smartmontools-$VERSION.tar.?z || exit 1
cd smartmontools-$VERSION || exit 1
chown -R root:root .
@@ -77,6 +77,7 @@ make install DESTDIR=$PKG || exit 1
rm -rf $PKG/etc/rc.d/*
# Install the Slackware smartd init script:
+mkdir -p $PKG/etc/rc.d
cp -a $CWD/rc.smartd $PKG/etc/rc.d/rc.smartd.new
chown root:root $PKG/etc/rc.d/rc.smartd.new
chmod 644 $PKG/etc/rc.d/rc.smartd.new